# QResizeEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QResizeEvent(QSize size, QSize oldSize)

### Constructor Properties

- prototype: The QResizeEvent prototype object

### Prototype Object Properties

The QResizeEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- QSize oldSize()
- QSize size()

### Instance Properties

QResizeEvent objects have no special properties beyond those inherited from the QResizeEvent prototype object.